* { margin: 0; }

div { padding: 20px; }

p + div {padding-left: 0;}

.grandparent {background-color: skyblue;}

.parent {background-color: pink;}


/*NORMAL / STATIC POSITIONING*/
p {
	/*position: static;*/
	padding-left: 50px;
	/*margin-top: -20px;*/
}

[name$="submit"] {
	margin-left: 20px;
}


/*RELATIVE POSITIONING*/
strong {
	background-color: yellow;
	/*position: relative;*/
	/*left: 50px;*/ 			/*right*/
	/*right: 50px;*/ 		/*left*/
	/*top: 50px;*/				/*bottom*/
	/*bottom: 50px;*/			/*top*/
}

[name="firstname"] {
/*	position: relative;*/
/*	left: 100px;*/
/*	top: 100px;*/
	/*right: -100px;
	bottom: -100px;*/
}


/*ABSOLUTE POSITIONING*/
strong {
/*	position: absolute;*/
/*	top: 10px;*/
/*	left: 10px;*/
}
	/*relatively absolute positioning*/
/*.parent {
	position: fixed;
}*/
.grandparent {
/*	position: relative;*/
}


/*FIXED POSITIONING*/
.grandparent {
	position: fixed;
}



/* OVERLAPPING ELEMENTS */
.overlap-h {
	position: fixed;
	top: 0;
	left: 0;
	margin: 0;
	padding: 10px;
	width: 100%;
	background-color: gray;
	z-index: 1;
}

.overlap-p {
	position: relative;
	left: 70px;
	height: 100px;
	background-color: #efefef;
	z-index: 2;
}














